Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.util
Class PossibleNamesCollector

    java.lang.Object
      com.sun.msv.grammar.util.PossibleNamesCollector

All Implemented Interfaces:
  NameClassVisitor

public class PossibleNamesCollector
extends java.lang.Object
implements NameClassVisitor

computes the possible names.

See the description.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`static java.lang.String` | `MAGIC`

Constructor Summary
`PossibleNamesCollector()`

Method Summary
`static java.util.Set` | `calc(NameClass nc)` computes all possibile names for this name class, and returns the set of `StringPair`.
`java.lang.Object` | `onAnyName(AnyNameClass nc)`
`java.lang.Object` | `onChoice(ChoiceNameClass nc)`
`java.lang.Object` | `onDifference(DifferenceNameClass nc)`
`java.lang.Object` | `onNot(NotNameClass nc)`
`java.lang.Object` | `onNsName(NamespaceNameClass nc)`
`java.lang.Object` | `onSimple(SimpleNameClass nc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAGIC

    public static final java.lang.String MAGIC

See Also:
  Constant Field Values

Constructor Detail

### PossibleNamesCollector

    public PossibleNamesCollector()

Method Detail

### calc

    public static java.util.Set calc(NameClass nc)

  computes all possibile names for this name class, and returns the set of `StringPair`.

### onChoice

    public java.lang.Object onChoice(ChoiceNameClass nc)

  Specified by:
    `onChoice` in interface `NameClassVisitor`

### onAnyName

    public java.lang.Object onAnyName(AnyNameClass nc)

  Specified by:
    `onAnyName` in interface `NameClassVisitor`

### onSimple

    public java.lang.Object onSimple(SimpleNameClass nc)

  Specified by:
    `onSimple` in interface `NameClassVisitor`

### onNsName

    public java.lang.Object onNsName(NamespaceNameClass nc)

  Specified by:
    `onNsName` in interface `NameClassVisitor`

### onNot

    public java.lang.Object onNot(NotNameClass nc)

  Specified by:
    `onNot` in interface `NameClassVisitor`

### onDifference

    public java.lang.Object onDifference(DifferenceNameClass nc)

  Specified by:
    `onDifference` in interface `NameClassVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD